Summary:	XFree86-DGA extension client library
Summary(pl.UTF-8):	Biblioteka kliencka rozszerzenia XFree86-DGA
Name:		xorg-lib-libXxf86dga
Version:	1.1.4
Release:	2
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXxf86dga-%{version}.tar.bz2
# Source0-md5:	d7dd9b9df336b7dd4028b6b56542ff2c
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-proto-xf86dgaproto-devel >= 2.0.99.2
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XFree86-DGA (Direct Graphics Access) extension client library.

%description -l pl.UTF-8
Biblioteka kliencka rozszerzenia XFree86-DGA (Direct Graphics Access -
bezpośredniego dostępu do grafiki).

%package devel
Summary:	Header files for libXxf86dga library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXxf86dga
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXext-devel
Requires:	xorg-proto-xf86dgaproto-devel >= 2.0.99.2

%description devel
This package contains the header files needed to develop programs that
use libXxf86dga.

%description devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXxf86dga.

%package static
Summary:	Static libXxf86dga library
Summary(pl.UTF-8):	Biblioteka statyczna libXxf86dga
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains the static libXxf86dga library.

%description static -l pl.UTF-8
Pakiet zawiera statyczną bibliotekę libXxf86dga.

%prep
%setup -q -n libXxf86dga-%{version}

# support __libmansuffix__ with "x" suffix (per FHS 2.3)
%{__sed} -i -e 's,\.so man__libmansuffix__/,.so man3/,' man/*.man

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXxf86dga.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXxf86dga.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXxf86dga.so
%{_includedir}/X11/extensions/Xxf86dga.h
%{_includedir}/X11/extensions/xf86dga1.h
%{_pkgconfigdir}/xxf86dga.pc
%{_mandir}/man3/XDGA*.3*
%{_mandir}/man3/XF86DGA.3*
%{_mandir}/man3/XFree86-DGA.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXxf86dga.a
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXxf86dga.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> e9c1a57
- x32 rebuild
- release 2 (by relup.sh)

* Tue Dec 30 2014 Jan Rękorajski <baggins@pld-linux.org> f8d37c5
- fix files

* Wed Jun 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 0509b20
- unified .so man links fix wrt "x" suffix

* Fri May 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 73a3272
- up to 1.1.4; fixes CVE-2013-1991, CVE-2013-2000

* Thu Mar 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 9aeeaaa
- updated to 1.1.3

* Wed Apr 06 2011 lisu <lisu@pld-linux.org> e705809
- drop libtool file
- rel 2

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 0a61446
- dropped pre-cvs changelog

* Sat Oct 30 2010 Jakub Bogusz <qboosh@pld-linux.org> 39c064f
- updated to 1.1.2

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> 8b15cfe
- rebuild
- rel 2

* Tue Oct 06 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7519a1c
- up to 1.1.1

* Mon Oct 05 2009 Jakub Bogusz <qboosh@pld-linux.org> d50afea
- updated -devel deps

* Mon Oct 05 2009 Jakub Bogusz <qboosh@pld-linux.org> d6ee596
- updated util-macros version
- ghost soname symlink
- verbose files, added README to doc

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c82d54
- up to 1.1

* Mon Sep 21 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> d8bb8af
- up to 1.0.99.2

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 78a96ca
- up to 1.0.99.1

* Wed Nov 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d2fd2a0
- release 2

* Wed Sep 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 3c5b63b
- updated to 1.0.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 94465ba
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cafd0d5
- converted to UTF-8

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> b602b92
- rebuild

